### A free/open-source library for quantitative finance

Classes
ql/cashflows/rangeaccrual.hpp File Reference

range-accrual coupon More...

`#include <ql/termstructures/volatility/smilesection.hpp>`
`#include <ql/cashflows/couponpricer.hpp>`
`#include <ql/cashflows/floatingratecoupon.hpp>`
`#include <ql/time/schedule.hpp>`
`#include <vector>`
Include dependency graph for rangeaccrual.hpp:

## Classes

class | RangeAccrualLeg
| helper class building a sequence of range-accrual floating-rate coupons More...

## Detailed Description

range-accrual coupon